INIT_DUMMY_NETDEV(9)

NAME
init_dummy_netdev - init a dummy network device for NAPI

SYNOPSIS

int init_dummy_netdev(struct net_device * dev);

ARGUMENTS

dev
    device to init

DESCRIPTION

This takes a network device structure and initialize the minimum amount of fields so it can be used to schedule NAPI polls without registering a full blown interface. This is to be used by drivers that need to tie several hardware interfaces to a single NAPI poll scheduler due to HW limitations.

COPYRIGHT